@import "@/styles/variables";

.dropdown {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    border-radius: $border-radius;
    max-height: 270px;
    overflow: auto;
    min-width: unset;
    width: auto;

    @include shadow-dropdown;
    @include scrollbar-thin-light;
}

.dropdown-filter {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-width: unset;
    width: auto;

    .button-color {
        &_link {
            &:focus {
                outline: none !important;
            }

            &:focus-visible {
                outline: none !important;
            }
        }
    }

    button {
        &:focus {
            outline: none !important;
            box-shadow: none !important;
        }

        &:focus-visible {
            outline: none !important;
            box-shadow: none !important;
        }
    }
}
